﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="PasswordChangerWEB._default" %>

<!--
Name                : PasswordChangerWEB
Version             : 20130808
Author              : Luke Voorn
Description         : Change the password of an (expired) user.
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Change Password</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
        <asp:Label ID="lblError" runat="server"></asp:Label>
            <table>
                <tr>
                    <td><asp:Label ID="lblUser" runat="server">Username</asp:Label></td>
                    <td><asp:TextBox ID="txtUser" runat="server"></asp:TextBox> <asp:RequiredFieldValidator runat="server" ID="rqtxtUser" ErrorMessage="Gebruiker verplicht!" ControlToValidate="txtUser"></asp:RequiredFieldValidator> </td>
                </tr>
                <tr>
                    <td><asp:Label ID="lblOldPass" runat="server">Old Password</asp:Label></td>
                    <td><asp:TextBox ID="txtOldPass" runat="server" TextMode="Password"></asp:TextBox> <asp:RequiredFieldValidator runat="server" ID="rqtxtOldPass" ErrorMessage="Wachtwoord verplicht!" ControlToValidate="txtOldPass"></asp:RequiredFieldValidator> </td>
                </tr>
                <tr>
                    <td><asp:Label ID="lblNewPass1" runat="server">New Password</asp:Label></td>
                    <td><asp:TextBox ID="txtNewPass1" runat="server" TextMode="Password"></asp:TextBox> 
                    <asp:RequiredFieldValidator runat="server" ID="rqtxtNewPass" ErrorMessage="Wachtwoord verplicht!" ControlToValidate="txtNewPass1" Display="Dynamic" ></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator runat="server" ID="retxtNewPass1" ControlToValidate="txtNewPass1" Display="Dynamic" ErrorMessage="Nieuwe wachtwoord niet sterk genoeg" ValidationExpression="^[a-zA-Z0-9 ~!@#$%^&*_\-+=`|\(){}\[\]:;'<>,.?/]{8,50}$"></asp:RegularExpressionValidator> </td>
                </tr>
                <tr>
                    <td><asp:Label ID="lblNewPass2" runat="server">New Password Again</asp:Label></td>
                    <td><asp:TextBox ID="txtNewPass2" runat="server" TextMode="Password"></asp:TextBox> 
                    <asp:RequiredFieldValidator runat="server" ID="rqtxtNewPass2" ErrorMessage="Wachtwoord verplicht!" Display="Dynamic" ControlToValidate="txtNewPass2"></asp:RequiredFieldValidator>
                    <asp:CompareValidator runat="server" ID="cvtxtNewPass2" ErrorMessage="Wachtwoorden niet gelijk" Display="Dynamic" ControlToValidate="txtNewPass2" ControlToCompare="txtNewPass1"></asp:CompareValidator> </td>
                </tr>
            </table>
            <asp:Button runat="server" ID="btnSubmit" onclick="btnSubmit_Click" Text="Change"/>
        </div>
    </form>
</body>
</html>
